// L3DTio_HFF.h : main header file for the L3DTio_HFF DLL
//

#pragma once

#ifndef __AFXWIN_H__
	#error include 'stdafx.h' before including this file for PCH
#endif

#include "resource.h"		// main symbols
#include <Zeolite.h>

// CL3DTio_HFFApp
// See L3DTio_HFF.cpp for the implementation of this class
//


// HFF v1.0 header
typedef struct {
	USHORT DataOffset; // address of 1st data pixel
	UINT nx;
	UINT ny;
	BYTE DataSize;	// bytes per pixel
	BYTE FloatFlag;
	float VertScale;
	float VertOffset;
	float HorizScale;
	USHORT TileSize;
	BYTE WrapFlag;
} FileHeader_HF300;

#define DEF_FILE_HF300		300

class CL3DTio_HFFApp : public CWinApp
{
public:
	CL3DTio_HFFApp();

	bool InitPlugin(FARPROC pFunc, LPVOID hID);
	
	bool SaveMapFile(ZMAP hMap, LPCSTR lpFileName, ZFORMAT hFormat, ZVAR hProgWnd);
	bool LoadMapFile(ZMAP hMap, LPCSTR lpFileName, long MapTypeID, ZFORMAT hFormat, ZVAR hProgWnd);
	
	bool SaveTileFile(ZMAP hMap, LPVOID hTile, LPCSTR lpFileName, ZFORMAT hFormat);
	bool LoadTileFile(ZMAP hMap, LPVOID hTile, LPCSTR lpFileName, ZFORMAT hFormat);

// Overrides
public:
	virtual BOOL InitInstance();

	DECLARE_MESSAGE_MAP()
};
